SPPC(1)

NAME
sppc - Simple Plot Panel Composer

SYNOPSIS
sppc    -gl [ -nocopyright ] [ sppc-file ]

sppc    -ps [ -landscape | -portrait ] [ -papertype type ] [ sppc-file ]

sppc    -ppm  [ -nocopyright ] [ sppc-file ]

sppc    -gif [ -fast | -slow | -best ] [ sppc-file ]

DESCRIPTION
sppc displays or translates the sppc-graphic files. It either reads from the sppc-file given at the command line, or, if no filename is supplied from standard input.

The first from displays the graphics in an OpenGL window.

The second to fourth form translate the sppc-file into different formats: PostScript, PPM, or GIF. The output always goes to standard output.

OPTIONS
Output format options:

-ps Write a PostScript file to standard output.

-gl Open an OpenGL window, display the graphics, and wait for C-C.

-ppm
    Write a PPM file to standard output.

-gif
    Write a GIF file to standard output.

Media options:

-papertype Type
    Type ::= Predefined | Variable

    Predefined ::= a4 | a3 | b5 | letter | legal | tabloid

    Variable ::= HeightxWidthUnit

    Unit ::= cm | in | mm | pt

    Height, Width are decimal numbers.

-landscape
    Select landscape paper orientation.

-portrait
    Select upright paper orientation. This is the default.

The following options are only available in GIF mode.

-fast
    Select "fast" 24bit to 8bit conversion.

-slow
    Select "slow" 24bit to 8bit conversion. This is the default.

-best
    Select "best" 24bit to 8bit conversion. This is slower than -slow.

The next option is only applies in GL and PPM modes.

-nocopyright
    Suppress copyright line in GL and PPM images.

EXAMPLES

    sppc -gl test.sppc
    sppc -ps test.sppc > test.ps

SEE ALSO

    tela        Tela interpreter
    telakka     Tela extension utility
    ctpp        Tela preprocessor
    plotmtv     Standard associated graphics package
    m2t         Matlab to Tela translator

HISTORY
sppc by Pekka Janhunen; man page by Ch. L. Spiel, 2000-12-7.